Search:

# CWIS Developers Documentation

- Main Page
- Classes
- Files

- File List
- File Members

# Axis--StandardLibrary.php File Reference

Go to the source code of this file.

## Functions
PHP | CalcDate ($DateString, $DaysToAdd)
| GetHtmlEscapedString ($String)
| GetUnHtmlEscapedString ($String)
| HtmlSafePrint ($String)
| PrintAutoRefreshPage ($Title, $NewUrl)
| GetOrdinalSuffix ($Number)
| GetOrdinalNumber ($Number)
| GetMonthName ($MonthNumber)
| PrintOptionList ($ResultVar, $Items, $SelectedValue=NULL, $SubmitOnChange="", $Size=1, $PrintEvenIfEmpty=1, $MultipleAllowed=false, $OnChangeAction=NULL, $Width=NULL, $DisabledOptions=NULL)
| PrintOptionListsOfDateComponents ($FieldPrefix, $AllowNullDate=0, $Year=-1, $Month=-1, $Day=-1, $SubmitOnChange="")
| PrintOptionListsOfTimeComponents ($FieldPrefix, $Hour=-1, $Minute=-1)
| LongestStringLineLength ($String)
| PrintOptionListFromDB ($DB, $Table, $Condition, $SortBy, $ResultVar, $ValueQuery, $LabelQuery, $SelectedValue, $Size=1, $SubmitOnChange="", $PrintEvenIfEmpty=0)

## Function Documentation

PHP CalcDate | ( | $ | DateString,
|  | $ | DaysToAdd |
| ) |  |  |

Definition at line 20 of file Axis--StandardLibrary.php.

GetHtmlEscapedString | ( | $ | String | ) |

Definition at line 35 of file Axis--StandardLibrary.php.

Referenced by HtmlSafePrint(), and PrintOptionList().

Here is the caller graph for this function:

GetMonthName | ( | $ | MonthNumber | ) |

Definition at line 103 of file Axis--StandardLibrary.php.

Referenced by PrintOptionListsOfDateComponents().

Here is the caller graph for this function:

GetOrdinalNumber | ( | $ | Number | ) |

Definition at line 98 of file Axis--StandardLibrary.php.

Referenced by PrintOptionListsOfDateComponents().

Here is the caller graph for this function:

GetOrdinalSuffix | ( | $ | Number | ) |

Definition at line 68 of file Axis--StandardLibrary.php.

GetUnHtmlEscapedString | ( | $ | String | ) |

Definition at line 40 of file Axis--StandardLibrary.php.

HtmlSafePrint | ( | $ | String | ) |

Definition at line 47 of file Axis--StandardLibrary.php.

References GetHtmlEscapedString().

LongestStringLineLength | ( | $ | String | ) |

Definition at line 369 of file Axis--StandardLibrary.php.

PrintAutoRefreshPage | ( | $ | Title,
|  | $ | NewUrl |
| ) |  |  |

Definition at line 52 of file Axis--StandardLibrary.php.

PrintOptionList | ( | $ | ResultVar,
|  | $ | Items,
|  | $ | SelectedValue = `NULL`,
|  | $ | SubmitOnChange = `""`,
|  | $ | Size = `1`,
|  | $ | PrintEvenIfEmpty = `1`,
|  | $ | MultipleAllowed = `false`,
|  | $ | OnChangeAction = `NULL`,
|  | $ | Width = `NULL`,
|  | $ | DisabledOptions = `NULL` |
| ) |  |  |

Definition at line 122 of file Axis--StandardLibrary.php.

References $Items, and GetHtmlEscapedString().

Referenced by PrintOptionListFromDB().

Here is the caller graph for this function:

PrintOptionListFromDB | ( | $ | DB,
|  | $ | Table,
|  | $ | Condition,
|  | $ | SortBy,
|  | $ | ResultVar,
|  | $ | ValueQuery,
|  | $ | LabelQuery,
|  | $ | SelectedValue,
|  | $ | Size = `1`,
|  | $ | SubmitOnChange = `""`,
|  | $ | PrintEvenIfEmpty = `0` |
| ) |  |  |

Definition at line 389 of file Axis--StandardLibrary.php.

References $Items, and PrintOptionList().

PrintOptionListsOfDateComponents | ( | $ | FieldPrefix,
|  | $ | AllowNullDate = `0`,
|  | $ | Year = `-1`,
|  | $ | Month = `-1`,
|  | $ | Day = `-1`,
|  | $ | SubmitOnChange = `""` |
| ) |  |  |

Definition at line 213 of file Axis--StandardLibrary.php.

References GetMonthName(), and GetOrdinalNumber().

PrintOptionListsOfTimeComponents | ( | $ | FieldPrefix,
|  | $ | Hour = `-1`,
|  | $ | Minute = `-1` |
| ) |  |  |

Definition at line 322 of file Axis--StandardLibrary.php.